from distutils.core import setup
import py2app
import glob

# Build the .app file
setup(
    options=dict(
        py2app=dict(
            iconfile='images/griffith.icns',
            site_packages=True,
includes="cairo,pangocairo,cgi,PIL,sets,platform,pysqlite2,pango,atk,gobject,tempfile,csv,xml.dom,xml.dom.ext,xml.dom.minidom,xml.sax,threading,htmlentitydefs,zipfile,webbrowser,shutil,reportlab,reportlab.pdfgen,reportlab.pdfgen.canvas,reportlab.platypus,reportlab.pdfbase.ttfonts,smtplib,sqlalchemy", 
            resources=['COPYING', 'AUTHORS', ("",glob.glob("lib/*.*")), ("images",glob.glob("images/*.png")), ("lib/plugins/movie",glob.glob("lib/plugins/movie/*.*")), ("lib/plugins/export",glob.glob("lib/plugins/export/*.*")), ("glade",glob.glob("glade/*.*")), ("images/export_templates/html_tables",glob.glob("data/export_templates/html_tables/*.*")), ("images/export_templates/html_table",glob.glob("data/export_templates/html_table/*.*")), ("images/export_templates/latex",glob.glob("data/export_templates/latex/*.*")), ("images/export_templates/xml",glob.glob("data/export_templates/xml/*.*")), ("images/export_templates/csv",glob.glob("data/export_templates/csv/*.*")), ("images/export_templates",glob.glob("data/export_template/*.dtd")), ("lib/plugins/imp",glob.glob("lib/plugins/imp/*.*"))],
            plist=dict(
                CFBundleName               = "Griffith",
                CFBundleShortVersionString = "0.9rc1",     # must be in X.X.X format
                CFBundleGetInfoString      = "Griffith 0.9rc1",
                CFBundleExecutable         = "Griffith",
                CFBundleIdentifier         = "net.vasconunes.griffith",
            ),
        ),
    ),
    app=[ 'griffith.py' ]
)
